range_queries::perSegTree::Node Class Reference
Collaboration diagram for range_queries::perSegTree::Node:
[legend]

## Public Attributes

std::shared_ptr< Node > | left = nullptr
std::shared_ptr< Node > | right = nullptr
| pointer to the left node
int64_t | val = 0
| pointer to the right node
int64_t | prop = 0

The documentation for this class was generated from the following file:

- range_queries/persistent_seg_tree_lazy_prop.cpp